<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.activity.mapper.BusinessMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.activity.model.Business" >
    <id column="BUSINESS_ID" property="businessId" jdbcType="BIGINT" />
    <result column="BUSINESS_TYPE_ID" property="businessTypeId" jdbcType="BIGINT" />
    <result column="DATA_VERSION" property="dataVersion" jdbcType="BIGINT" />
    <result column="BUSINESS_CODE" property="businessCode" jdbcType="VARCHAR" />
    <result column="BUSINESS_NAME" property="businessName" jdbcType="VARCHAR" />
    <result column="FROM_TIME" property="fromTime" jdbcType="CHAR" />
    <result column="THRU_TIME" property="thruTime" jdbcType="CHAR" />
    <result column="IS_ACTIVE" property="isActive" jdbcType="CHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    BUSINESS_ID, BUSINESS_TYPE_ID, BUSINESS_CODE,BUSINESS_NAME,DATA_VERSION, FROM_TIME, THRU_TIME, IS_ACTIVE
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from business
    where BUSINESS_ID = #{businessId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from business
    where BUSINESS_ID = #{businessId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.activity.model.Business" >
    insert into business (BUSINESS_ID, BUSINESS_TYPE_ID, BUSINESS_CODE,BUSINESS_NAME,DATA_VERSION, 
      FROM_TIME, THRU_TIME, IS_ACTIVE
      )
    values (#{businessId,jdbcType=BIGINT}, #{businessTypeId,jdbcType=BIGINT},
    	 #{businessCode,jdbcType=VARCHAR}, 
    	 #{businessName,jdbcType=VARCHAR}, 
    	 #{dataVersion,jdbcType=BIGINT}, 
      #{fromTime,jdbcType=CHAR}, #{thruTime,jdbcType=CHAR}, #{isActive,jdbcType=CHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.activity.model.Business" >
    insert into business
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="businessId != null" >
        BUSINESS_ID,
      </if>
      <if test="businessTypeId != null" >
        BUSINESS_TYPE_ID,
      </if>
      <if test="businessCode != null" >
        BUSINESS_CODE,
      </if>
      <if test="businessName != null" >
        BUSINESS_NAME,
      </if>
      <if test="dataVersion != null" >
        DATA_VERSION,
      </if>
      <if test="fromTime != null" >
        FROM_TIME,
      </if>
      <if test="thruTime != null" >
        THRU_TIME,
      </if>
      <if test="isActive != null" >
        IS_ACTIVE,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="businessId != null" >
        #{businessId,jdbcType=BIGINT},
      </if>
      <if test="businessTypeId != null" >
        #{businessTypeId,jdbcType=BIGINT},
      </if>
      
      <if test="businessCode != null" >
        #{businessCode,jdbcType=VARCHAR},
      </if>
      <if test="businessName != null" >
        #{businessName,jdbcType=VARCHAR},
      </if>
      
      <if test="dataVersion != null" >
        #{dataVersion,jdbcType=BIGINT},
      </if>
      <if test="fromTime != null" >
        #{fromTime,jdbcType=CHAR},
      </if>
      <if test="thruTime != null" >
        #{thruTime,jdbcType=CHAR},
      </if>
      <if test="isActive != null" >
        #{isActive,jdbcType=CHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.activity.model.Business" >
    update business
    <set >
      <if test="businessTypeId != null" >
        BUSINESS_TYPE_ID = #{businessTypeId,jdbcType=BIGINT},
      </if>
      <if test="businessCode != null" >
        BUSINESS_CODE = #{businessCode,jdbcType=VARCHAR},
      </if>
      <if test="businessName != null" >
        BUSINESS_NAME = #{businessName,jdbcType=VARCHAR},
      </if>
      <if test="dataVersion != null" >
        DATA_VERSION = #{dataVersion,jdbcType=BIGINT},
      </if>
      <if test="fromTime != null" >
        FROM_TIME = #{fromTime,jdbcType=CHAR},
      </if>
      <if test="thruTime != null" >
        THRU_TIME = #{thruTime,jdbcType=CHAR},
      </if>
      <if test="isActive != null" >
        IS_ACTIVE = #{isActive,jdbcType=CHAR},
      </if>
    </set>
    where BUSINESS_ID = #{businessId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.activity.model.Business" >
    update business
    set BUSINESS_TYPE_ID = #{businessTypeId,jdbcType=BIGINT},
      businessCode = #{businessCode,jdbcType=VARCHAR},
      businessName = #{businessName,jdbcType=VARCHAR},
      DATA_VERSION = #{dataVersion,jdbcType=BIGINT},
      FROM_TIME = #{fromTime,jdbcType=CHAR},
      THRU_TIME = #{thruTime,jdbcType=CHAR},
      IS_ACTIVE = #{isActive,jdbcType=CHAR}
    where BUSINESS_ID = #{businessId,jdbcType=BIGINT}
  </update>
</mapper>